Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 239112 - [gnome overlay] www-client/epiphany-2.24.0.1-r10 fails to compile with USE="doc webkit"
Summary: [gnome overlay] www-client/epiphany-2.24.0.1-r10 fails to compile with USE="d...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gnome2.24
  Show dependency tree
 
Reported: 2008-09-30 05:24 UTC by Alexandre Rostovtsev (RETIRED)
Modified: 2009-02-22 18:27 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandre Rostovtsev (RETIRED) gentoo-dev 2008-09-30 05:24:43 UTC
epiphany-2.24.0.1-r10 (from the gnome overlay) fails when compiling gtk-doc documentation if the webkit backend is selected.

# USE="webkit gtk" emerge epiphany
[...]
make[3]: Entering directory `/var/tmp/portage/www-client/epiphany-2.24.0.1-r10/work/epiphany-2.24.0.1/doc/reference'
*** Scanning header files ***
if grep -l '^..*$' ./epiphany.types > /dev/null ; then \
	    LD_LIBRARY_PATH=:$LD_LIBRARY_PATH CC="/bin/sh ../../libtool --mode=compile x86_64-pc-linux-gnu-gcc  -Wall -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wno-sign-compare   -march=native -O2 -pipe" LD="/bin/sh ../../libtool --mode=link x86_64-pc-linux-gnu-g++ -Wall -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wno-sign-compare   -march=native -O2 -pipe -Wl,--as-needed -Wl,-O1" CFLAGS="-I../../src -I../../lib -I../../lib -I../../lib/widgets -I../../embed -I../../embed -I../../src/bookmarks -I../../lib/egg -I../../lib/egg -DORBIT2=1 -pthread -D_REENTRANT -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/gio-unix-2.0/ -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gtk-unix-print-2.0 -I/usr/include/libxml2 -I/usr/include/libgnome-2.0 -I/usr/include/orbit-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib64/gnome-vfs-2.0/include -I/usr/include/libbonobo-2.0 -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include -I/usr/include/bonobo-activation-2.0 -I/usr/include/libgnomeui-2.0 -I/usr/include/libart-2.0 -I/usr/include/gnome-keyring-1 -I/usr/include/libbonoboui-2.0 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/gail-1.0 -I/usr/include/libglade-2.0 -I/usr/include/gnome-desktop-2.0 -I/usr/include/startup-notification-1.0   -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include     -I../../embed/webkit -I/usr/include/webkit-1.0 -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  " LDFLAGS="../../src/libephymain.la ../../src/bookmarks/libephybookmarks.la ../../embed/libephyembedfactory.la  ../../embed/webkit/libephywebkitembed.la ../../embed/libephyembed.la ../../lib/widgets/libephywidgets.la ../../lib/libephymisc.la ../../lib/egg/libegg.la -Wl,--export-dynamic -pthread -lxslt -lm -lglade-2.0 -lxml2 -lgnome-desktop-2 -lgnomeui-2 -lSM -lICE -lbonoboui-2 -lgnomevfs-2 -lgnomecanvas-2 -lgnome-2 -lpopt -lbonobo-2 -lbonobo-activation -lORBit-2 -lart_lgpl_2 -lgconf-2 -lgthread-2.0 -lrt -lstartup-notification-1 -lcanberra-gtk -lcanberra -lnotify -lgtk-x11-2.0 -ldbus-glib-1 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lz -lfontconfig -lgmodule-2.0 -ldbus-1 -lgobject-2.0 -lglib-2.0      -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0    ../../src/libpyphany.la -L/usr/lib/python2.5/config -lpython2.5 -lpthread -ldl  -lutil -lffi -lgobject-2.0 -lglib-2.0  " gtkdoc-scangobj  --module=epiphany --output-dir=. ; \
	else \
	    cd . ; \
	    for i in epiphany.args epiphany.hierarchy epiphany.interfaces epiphany.prerequisites epiphany.signals ; do \
               test -f $i || touch $i ; \
	    done \
	fi
gtk-doc: Compiling scanner
mkdir .libs
 x86_64-pc-linux-gnu-gcc -Wall -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wno-sign-compare -march=native -O2 -pipe -I../../src -I../../lib -I../../lib -I../../lib/widgets -I../../embed -I../../embed -I../../src/bookmarks -I../../lib/egg -I../../lib/egg -DORBIT2=1 -pthread -D_REENTRANT -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/gio-unix-2.0/ -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gtk-unix-print-2.0 -I/usr/include/libxml2 -I/usr/include/libgnome-2.0 -I/usr/include/orbit-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib64/gnome-vfs-2.0/include -I/usr/include/libbonobo-2.0 -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include -I/usr/include/bonobo-activation-2.0 -I/usr/include/libgnomeui-2.0 -I/usr/include/libart-2.0 -I/usr/include/gnome-keyring-1 -I/usr/include/libbonoboui-2.0 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/gail-1.0 -I/usr/include/libglade-2.0 -I/usr/include/gnome-desktop-2.0 -I/usr/include/startup-notification-1.0 -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I../../embed/webkit -I/usr/include/webkit-1.0 -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -c epiphany-scan.c  -fPIC -DPIC -o .libs/epiphany-scan.o
epiphany-scan.c:25:27: error: mozilla-embed.h: No such file or directory
epiphany-scan.c:26:35: error: mozilla-embed-persist.h: No such file or directory
epiphany-scan.c: In function ‘get_object_types’:
epiphany-scan.c:58: warning: implicit declaration of function ‘mozilla_embed_get_type’
epiphany-scan.c:58: warning: nested extern declaration of ‘mozilla_embed_get_type’
epiphany-scan.c:59: warning: implicit declaration of function ‘mozilla_embed_persist_get_type’
epiphany-scan.c:59: warning: nested extern declaration of ‘mozilla_embed_persist_get_type’
Compilation of scanner failed: 
make[3]: *** [scan-build.stamp] Error 1
make[3]: Leaving directory `/var/tmp/portage/www-client/epiphany-2.24.0.1-r10/work/epiphany-2.24.0.1/doc/reference'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/www-client/epiphany-2.24.0.1-r10/work/epiphany-2.24.0.1/doc'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/www-client/epiphany-2.24.0.1-r10/work/epiphany-2.24.0.1'
make: *** [all] Error 2
 * 
 * ERROR: www-client/epiphany-2.24.0.1-r10 failed.

When USE="-doc webkit", epiphany compiles fine.
Comment 1 Mart Raudsepp gentoo-dev 2008-09-30 07:42:38 UTC
I didn't even know we have USE=webkit there. Why do we? Wasn't epiphany-2.24 branched off of 2.22 branch with xulrunner added and while webkit was highly experimental? What I mean is - if webkit support is in epiphany-2.24 tarballs, isn't it at the same sad state as 2.22 ones, while all the webkit development work went on at trunk and 2.24 tarballs have none of that work included?
Comment 2 Gilles Dartiguelongue gentoo-dev 2008-10-02 21:22:41 UTC
considering upstream's module decisions (say gdm), if wekbit has been rejected this time again, then I think it's wise to not move this flag to the tree.
Comment 3 Mart Raudsepp gentoo-dev 2008-10-11 09:30:59 UTC
epiphany has been in the tree for some days now, without USE=webkit. I don't know what to do with the ebuilds in the overlay - we probably don't people to use them, yet they can be helpful for 2.25 as a starting point of an ebuild for webkit using epiphany. I suppose if we remember we have it in git history, it's ok to delete them for now
Comment 4 xiando 2009-01-17 11:17:20 UTC
"Version 2.24 doesn’t differ much from 2.22 feature-wise. The Webkit
switch is still in progress, so although it can be built with a Webkit
back end, Gecko is still the recommended rendering engine." story at http://blogs.gnome.org/epiphany/2008/09/24/epiphany-224-still-clinging-to-the-geckos-sticky-toes/

Thanks to bug submitter for USE="-doc" quickfix for compiling www-client/epiphany-2.24.1-r10 in [gnome] overlay with the webkit technology.

Mart Raudsepp: Trying to deny me and other people access to the epiphany+webkit technology is not a good solution. The ebuilds in the overlay compile just fine with USE="-doc". A simple fix would be to remove the doc flag for now or force it to -doc when webkit is selected.

Webkit renders pages fast. Flash with gnash works much better than it does in Firefox for some reason. Epiphany backced by webkit is a great browser. Gecko is still "recommended", but it will be ditched eventually. Might as well go for Gecko right away.
Comment 5 Mart Raudsepp gentoo-dev 2009-01-17 15:08:23 UTC
We are not going WebKit right away when it's not going to be in GNOME. GNOME-2.26 will still use gecko, not webkit.
I was saying it doesn't make sense for USE=webkit on epiphany-2.24. And that is what it is. It has zero changes compared to 2.22 in the webkit backend and is completely broken as it was in 2.22. The point is that it'd be a good starting point for an ebuild for a newer version that actually has webkit improvements. No-one talked about denying WebKit from overlay users. Just no-one is doing the work right now.
Comment 6 Nirbheek Chauhan (RETIRED) gentoo-dev 2009-02-19 05:55:38 UTC
(In reply to comment #5)
> We are not going WebKit right away when it's not going to be in GNOME.
> GNOME-2.26 will still use gecko, not webkit.
> I was saying it doesn't make sense for USE=webkit on epiphany-2.24. And that is

I propose removing the webkit USE flag from epiphany 2.24 and adding a snapshot ebuild in the overlay taken from the webkit branch (I'll do the work over the weekend if no one beats me to it)
Comment 7 Daniel Gryniewicz (RETIRED) gentoo-dev 2009-02-20 18:55:09 UTC
That sounds like a good plan to me.
Comment 8 Nirbheek Chauhan (RETIRED) gentoo-dev 2009-02-22 18:27:02 UTC
Rejoice! Fixed[1]!

live ebuild instead of snapshot because snapshots are too much work for such a fluid trunk.

1. http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=4f9494d3d2630fde4a25d19a12725d953a25b6f0